------------------------------------------------------------------------------------
--Name:  	juqing1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-04-11
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(167, 175)
CppScriptMgr:ShakeScrEffect(5)
CppScriptMgr:SetViewScale(200)
local Player_1 = CppScriptMgr:AddPlayer(847, 173, 176, "RippleElf", 0, 0)
Player_1:SetDir(7)
Player_1:SetZoomPercent(130)
local Player_2 = CppScriptMgr:AddPlayer(848, 167, 182, "KungfuIronEater", 0, 0)
Player_2:SetDir(7)
Player_2:SetZoomPercent(130)
local Player_3 = CppScriptMgr:AddPlayer(850, 166, 169, "ShockKylin", 0, 0)
Player_3:SetDir(7)
local Player_4 = CppScriptMgr:AddPlayer(196, 159, 175, "HazeKunpeng", 0, 0)
Player_4:SetDir(7)
Player_4:SetZoomPercent(150)
local npc_5 = CppScriptMgr:AddSimplePlayer(1058780, 162, 170, "VioletPeacock", 0, 0)
npc_5:SetDir(7)
npc_5:SetZoomPercent(80)
local npc_0 = CppScriptMgr:AddSimplePlayer(21310, 156, 165, "", 0, 0)
npc_0:SetZoomPercent(200)
local npc_1 = CppScriptMgr:AddSimplePlayer(21310, 156, 176, "", 0, 0)
npc_1:SetZoomPercent(200)
local npc_2 = CppScriptMgr:AddSimplePlayer(21310, 167, 165, "", 0, 0)
npc_2:SetZoomPercent(200)
local npc_3 = CppScriptMgr:AddSimplePlayer(21310, 167, 187, "", 0, 0)
npc_3:SetZoomPercent(200)
local npc_4 = CppScriptMgr:AddSimplePlayer(21310, 178, 176, "", 0, 0)
npc_4:SetZoomPercent(200)
CppScriptMgr:WaitMilSec(860)
local effect_0 = CppScriptMgr:AddEffect("QiFuLev1", 165, 174, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(140)
Player_2:Say("So dizzy!!!", 1000)
npc_5:Say("So dizzy!!!", 1000)
CppScriptMgr:WaitMilSec(890)
Player_1:Say("No! No! No!", 1000)
Player_2:Say("No! No! No!", 1000)
Player_3:Say("No! No! No!", 1000)
CppScriptMgr:WaitMilSec(890)
CppScriptMgr:ShakeScrEffect(5)
CppScriptMgr:NpcCallOut("The energy fluctuation is coming! Be careful!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202301", 150, 430, "Haze Kunpeng", 250, 655, true)
CppScriptMgr:WaitMilSec(1230)
local Effect_2 = CppScriptMgr:AddEffect("zf2-e233", 173, 176, 33, 1, 1, 1)
Player_1:SetHide(1)
CppScriptMgr:WaitMilSec(690)
Player_4:SetHide(1)
local Effect_3 = CppScriptMgr:AddEffect("zf2-e233", 159, 175, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local Effect_4 = CppScriptMgr:AddEffect("zf2-e233", 166, 169, 33, 1, 1, 1)
Player_3:SetHide(1)
CppScriptMgr:WaitMilSec(960)
Player_2:SetHide(1)
npc_5:SetHide(1)
local Effect_6 = CppScriptMgr:AddEffect("zf2-e233", 167, 182, 33, 1, 1, 1)
local Effect_5 = CppScriptMgr:AddEffect("zf2-e233", 162, 170, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(2290)